#include<fstream>
using namespace std;
ifstream fi("HOANVI.inp");
ofstream fo("HOANVI.out");
int n;
int a[100];
void xuat(int n)
{
	for(int i=1;i<=n;i++)
	{
		fo<<a[i];
	}
	fo<<endl;
}
int kt(int k)
{
	int i,j;
	int kt=0;
	for(i=1;i<=k;i++)
	{
		for(j=i+1;j<=k;j++)
		{
			if(a[i]==a[j])
			{
				kt=1;
				break;
			}
		}
	}
	if(kt==0)
	{
		xuat(n);
	}
}
void xl(int i)
{
	int j;
	for(j=1;j<=n;j++)
	{
		a[i]=j;
		if(i==n)
		{
			kt(n);
		}
		else
		{
			xl(i+1);
		}
	}
}

int main()
{
	fi>>n;
	xl(1);
	fi.close();
	fo.close();
}
